Skip to main content
POST
Create Web template

Headers

api-key
string
required
Example:

"secret_live_xxx"

Body

application/json
query
string
required

What the inquiry should establish (required, non-empty).

start_url
string
required

URL where the capture session starts (required, non-empty).

return_url
string
required

Redirect URL after capture (required, non-empty).

name
string

Display name; may be auto-generated from query if omitted.

description
string
capture_type
enum<string>
default:screenshot
Available options:
screenshot,
document
fields
object[]

Fields to extract from evidence.

user_instruction
string
acceptance_guide
string
ai_instruction
string

Not returned on GET responses; stored for processing.

login_methods
object[]

Not returned on template GET responses; optional on create.

allowed_modes
enum<string>[]

Not returned on template GET responses.

Available options:
manual,
auto
settings
object
metadata
object

String key-value metadata.

status
enum<string>
default:draft
Available options:
draft,
published
theme_id
string

Must reference a theme that belongs to your org.

Response

Template created.

Web inquiry template row. Responses omit ai_instruction, login_methods, and allowed_modes even if set in the request body.

id
string

Row id (web_tpl_...).

key
string

Use as template_key on Create Web inquiry.

version
integer
is_latest
boolean
status
enum<string>
Available options:
draft,
published
name
string
description
string
query
string
fields
object[]
user_instruction
string
acceptance_guide
string
start_url
string
return_url
string
capture_type
enum<string>
Available options:
screenshot,
document
settings
object
metadata
object | null
theme_id
string | null
org_id
string
created_by
string
published_at
string<date-time> | null
created_at
string<date-time>
updated_at
string<date-time>
deleted_at
string<date-time> | null